Subject: [bug#54832] [patch] update glibc to 2.35

From: Greg Hogan <[email-masked]>
Date: Tue, 19 Jul 2022 15:16:12 -0400

On Tue, Jul 19, 2022 at 12:14 PM zamfofex <[email-masked]> wrote:
>
> > There’s a comment at the top of ‘glibc-dl-cache.patch’ that explains
> > what it does, but see
> > <https://guix.gnu.org/en/blog/2021/taming-the-stat-storm-with-a-loader-cache/>
> > for details.  I can take a look and update it.
>
> It seems we both misinterpreted the diff I had sent originally, as that patch has not actually been removed, but rather its line was changed (it was moved upwards). So good news, no need for changes or further investigation!

I have used your patch to bootstrap with GCC 12 (in order to use both
gcc-12 and llvm-14 in the same profile) and I have found that without
"glibc-ldd-x86_64.patch", sometimes ldd will throw a "not a dynamic
executable" error. I assume the powerpc patch is likewise still
required.

> Thanks for the encouragement! However, since glibc 2.36 releases a few weeks from now, do you feel like it would make sense to wait until then to update it? I suppose it could always be updated again later, but I don’t know if that’s ideal.

I would like to see the 2.35 upgrade since others may benefit before
the 2.36 release and in case of a core-updates merge to master.

Greg